<?php

namespace Drupal\k8s\Entity;

use Drupal\cloud\Entity\CloudViewBuilder;

/**
 * Provides the node view builders.
 */
class K8sNodeViewBuilder extends CloudViewBuilder {

  /**
   * {@inheritdoc}
   */
  protected function getFieldsetDefs() {
    return [
      [
        'name' => 'details',
        'title' => t('Details'),
        'open' => TRUE,
        'fields' => [
          'name',
          'status',
          'labels',
          'annotations',
          'addresses',
          'pod_cidr',
          'provider_id',
          'unschedulable',
          'created',
        ],
      ],
      [
        'name' => 'system_info',
        'title' => t('System Info'),
        'open' => TRUE,
        'fields' => [
          'machine_id',
          'system_uuid',
          'boot_id',
          'kernel_version',
          'os_image',
          'container_runtime_version',
          'kubelet_version',
          'kube_proxy_version',
          'operating_system',
          'architecture',
        ],
      ],
      [
        'name' => 'others',
        'title' => t('Others'),
        'open' => FALSE,
        'fields' => [
          'cloud_context',
          'uid',
        ],
      ],
    ];
  }

}
